Subject: Re: bug#12794: Bug in dd: it sends wrong messages to stderr

From: Ganton <[email-masked]>
Date: Mon, 5 Nov 2012 22:43:09 +0100

Hello: 

> > when I do backups, I see "errors" from dd... that really aren't.
> > [...]
> > 1+0 records in
> > 1+0 records out
> > 512 bytes (512 B) copied, 0,000129625 s, 3,9 MB/s
> > [...]
> 
> > You have a point, but I'm afraid that dd is documented to behave
> that way, and it's part of the POSIX standard, and lots of people
> depend on it.  [...] 

Many ones will doubt that the POSIX standard is so broken that forces people 
to see messages in stderr that are not errors and not wanted. That even goes 
against the Unix philosophy, for example, against the "Rule of Silence: When a 
program has nothing surprising to say, it should say nothing" 
(http://www.faqs.org/docs/artu/ch01s06.html) and, even less, say it in stderr.

> [...] To turn off the chatter, use "dd status=noxfer".

Thanks for the information. If the user utilizes "dd status=noxfer", he gets 
rid of lines like
	512 bytes (512 B) copied, 0,000129625 s, 3,9 MB/s
in stderr, although he keeps seeing lines like
        1+0 records in
        1+0 records out
in stderr. Does anyone think a new report bug should be filled so that an 
optional dd parameter could eliminate that last kind of messages from stderr?

Greetings!